## miniflux 2.0.51

=== Makefile ===
APP          := miniflux
DOCKER_IMAGE := miniflux/miniflux
VERSION      := $(shell git describe --tags --abbrev=0)
COMMIT       := $(shell git rev-parse --short HEAD)
BUILD_DATE   := `date +%FT%T%z`
LD_FLAGS     := "-s -w -X 'miniflux.app/v2/internal/version.Version=$(VERSION)' -X 'miniflux.app/v2/internal/version.Commit=$(COMMIT)' -X 'miniflux.app/v2/internal/version.BuildDate=$(BUILD_DATE)'"
PKG_LIST     := $(shell go list ./... | grep -v /vendor/)
DB_URL       := postgres://postgres:postgres@localhost/miniflux_test?sslmode=disable
DEB_IMG_ARCH := amd64

export PGPASSWORD := postgres

.PHONY: \
	miniflux \
	linux-amd64 \
	linux-arm64 \
	linux-armv7 \
	linux-armv6 \
	linux-armv5 \
	linux-x86 \
	darwin-amd64 \
	darwin-arm64 \
	freebsd-amd64 \
	freebsd-x86 \
	openbsd-amd64 \
	openbsd-x86 \
	netbsd-x86 \
	netbsd-amd64 \
	windows-amd64 \
	windows-x86 \
	build \
	run \
	clean \
	test \
	lint \
	integration-test \
	clean-integration-test \
	docker-image \
	docker-image-distroless \
	docker-images \
	rpm \
	debian \
	debian-packages

miniflux:
	@ CGO_ENABLED=0 go build -buildmode=pie -ldflags=$(LD_FLAGS) -o $(APP) main.go

linux-amd64:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

linux-arm64:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

linux-armv7:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=7 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

linux-armv6:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=6 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

linux-armv5:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=5 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

darwin-amd64:
	@ GOOS=darwin GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

darwin-arm64:
	@ GOOS=darwin GOARCH=arm64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

freebsd-amd64:
	@ CGO_ENABLED=0 GOOS=freebsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

openbsd-amd64:
	@ GOOS=openbsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

windows-amd64:
	@ GOOS=windows GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

build: linux-amd64 linux-arm64 linux-armv7 linux-armv6 linux-armv5 darwin-amd64 darwin-arm64 freebsd-amd64 openbsd-amd64 windows-amd64

# NOTE: unsupported targets
netbsd-amd64:
	@ CGO_ENABLED=0 GOOS=netbsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

linux-x86:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

freebsd-x86:
	@ CGO_ENABLED=0 GOOS=freebsd GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

netbsd-x86:
	@ CGO_ENABLED=0 GOOS=netbsd GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

openbsd-x86:
	@ GOOS=openbsd GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

windows-x86:
	@ GOOS=windows GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go

run:
	@ LOG_DATE_TIME=1 DEBUG=1 RUN_MIGRATIONS=1 CREATE_ADMIN=1 ADMIN_USERNAME=admin ADMIN_PASSWORD=test123 go run main.go

clean:
	@ rm -f $(APP)-* $(APP) $(APP)*.rpm $(APP)*.deb

test:
	go test -cover -race -count=1 ./...

lint:
	golint -set_exit_status ${PKG_LIST}

integration-test:
	psql -U postgres -c 'drop database if exists miniflux_test;'
	psql -U postgres -c 'create database miniflux_test;'
	go build -o miniflux-test main.go

	DATABASE_URL=$(DB_URL) \
	ADMIN_USERNAME=admin \
	ADMIN_PASSWORD=test123 \
	CREATE_ADMIN=1 \
	RUN_MIGRATIONS=1 \
	DEBUG=1 \
	./miniflux-test >/tmp/miniflux.log 2>&1 & echo "$$!" > "/tmp/miniflux.pid"
	
	while ! nc -z localhost 8080; do sleep 1; done
	go test -v -tags=integration -count=1 miniflux.app/v2/internal/tests

clean-integration-test:
	@ kill -9 `cat /tmp/miniflux.pid`
	@ rm -f /tmp/miniflux.pid /tmp/miniflux.log
	@ rm miniflux-test
	@ psql -U postgres -c 'drop database if exists miniflux_test;'

docker-image:
	docker build --pull -t $(DOCKER_IMAGE):$(VERSION) -f packaging/docker/alpine/Dockerfile .

docker-image-distroless:
	docker build -t $(DOCKER_IMAGE):$(VERSION) -f packaging/docker/distroless/Dockerfile .

docker-images:
	docker buildx build \
		--platform linux/amd64,linux/arm64,linux/arm/v7,linux/arm/v6 \
		--file packaging/docker/alpine/Dockerfile \
		--tag $(DOCKER_IMAGE):$(VERSION) \
		--push .

rpm: clean
	@ docker build \
		-t miniflux-rpm-builder \
		-f packaging/rpm/Dockerfile \
		.
	@ docker run --rm \
		-v ${PWD}:/root/rpmbuild/RPMS/x86_64 miniflux-rpm-builder \
		rpmbuild -bb --define "_miniflux_version $(VERSION)" /root/rpmbuild/SPECS/miniflux.spec

debian:
	@ docker build --load \
		--build-arg BASE_IMAGE_ARCH=$(DEB_IMG_ARCH) \
		-t $(DEB_IMG_ARCH)/miniflux-deb-builder \
		-f packaging/debian/Dockerfile \
		.
	@ docker run --rm \
		-v ${PWD}:/pkg $(DEB_IMG_ARCH)/miniflux-deb-builder

debian-packages: clean
	$(MAKE) debian DEB_IMG_ARCH=amd64
	$(MAKE) debian DEB_IMG_ARCH=arm64v8
	$(MAKE) debian DEB_IMG_ARCH=arm32v7

=== debian/changelog ===
miniflux (2.0.51-2ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 15:05:51 +1000

miniflux (2.0.51-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 16:11:13 +1000

miniflux (2.0.51-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:19:10 +0530

miniflux (2.0.51-2) unstable; urgency=medium

  * postinst: Create config folder
  * postrm: Only run dbc_go if dbconfig is still installed
  * Add myself to Uploaders

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 09 Feb 2024 13:12:16 -0500

miniflux (2.0.51-1) unstable; urgency=medium

  * Initial release (Closes: #1051912)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 06 Jan 2024 18:23:20 +0800

=== debian/control ===
Source: miniflux
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
           James Valleroy <jvalleroy@mailbox.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-golang,
 golang-any,
 golang-github-puerkitobio-goquery-dev,
 golang-github-abadojack-whatlanggo-dev,
 golang-github-coreos-go-oidc-v3-dev,
 golang-github-go-webauthn-webauthn-dev,
 golang-github-google-uuid-dev,
 golang-github-gorilla-mux-dev,
 golang-github-lib-pq-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-tdewolff-minify-dev,
 golang-github-yuin-goldmark-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-dev,
 golang-golang-x-term-dev,
 golang-mvdan-xurls-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
Homepage: https://miniflux.app
XS-Go-Import-Path: miniflux.app/v2

Package: miniflux
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 dbconfig-pgsql | dbconfig-no-thanks,
 ucf,
Built-Using: ${misc:Built-Using}
Description: minimalist and opinionated feed reader
 Miniflux is a minimalist and opinionated feed reader:
   - Written in Go (Golang)
   - Works only with PostgreSQL
   - Doesn't use any ORM
   - Doesn't use any complicated framework
   - Use only modern vanilla Javascript (ES6 and Fetch API)
   - Single binary compiled statically without dependency
   - The number of features is voluntarily limited
 It's simple, fast, lightweight and super easy to install.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Include all assets, templates, etc. in build directory
export DH_GOLANG_INSTALL_ALL := 1

GOPATH = $(CURDIR)/_build
GO_IMPORT_PATH = miniflux.app/v2

export DH_GOLANG_BUILDPKG := $(GO_IMPORT_PATH)

# Use changelog date instead of actual current date to ensure reproducible build
BUILD_DATE   := $(shell date +%FT%T%z -d @$(SOURCE_DATE_EPOCH))
LD_FLAGS := -s -w \
	-X 'miniflux.app/v2/internal/version.Version=$(DEB_VERSION_UPSTREAM)' \
	-X 'miniflux.app/v2/internal/version.BuildDate=$(BUILD_DATE)'

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags "$(LD_FLAGS)"
	# Rename binary to miniflux
	mv $(GOPATH)/bin/v2 $(GOPATH)/bin/miniflux

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## miniflux 2.1.2

=== debian/changelog ===
miniflux (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Remove fix-rssbridge-import patch, applied upstream
  * Add debconf template translations:
    * Arabic
    * Dutch (Closes: #1068447)
    * French (Closes: #1068493)
    * German (Closes: #1068139)
    * Galician
    * Spanish (Closes: #1068533)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 10 Apr 2024 11:27:01 +0300

miniflux (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Fixup scripts, use debconf to prompt user for new admin account credentials
  * Override lintian source-is-missing error for testdata

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 23 Mar 2024 18:34:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: miniflux
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
@@ -10,6 +9,7 @@
  debhelper-compat (= 13),
  dh-exec,
  dh-golang,
+ po-debconf,
  golang-any,
  golang-github-puerkitobio-goquery-dev,
  golang-github-abadojack-whatlanggo-dev,
@@ -39,6 +39,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ debconf,
  dbconfig-pgsql | dbconfig-no-thanks,
  ucf,
 Built-Using: ${misc:Built-Using}

## miniflux 2.1.3

=== debian/changelog ===
miniflux (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 05 Jun 2024 10:18:33 +0800

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
  dh-golang,
  po-debconf,
  golang-any,
- golang-github-puerkitobio-goquery-dev,
  golang-github-abadojack-whatlanggo-dev,
+ golang-github-andybalholm-brotli-dev (>= 1.1.0),
  golang-github-coreos-go-oidc-v3-dev,
  golang-github-go-webauthn-webauthn-dev,
  golang-github-google-uuid-dev,
  golang-github-gorilla-mux-dev,
  golang-github-lib-pq-dev,
  golang-github-prometheus-client-golang-dev,
+ golang-github-puerkitobio-goquery-dev,
  golang-github-tdewolff-minify-dev,
  golang-github-yuin-goldmark-dev,
  golang-golang-x-crypto-dev,

## miniflux 2.1.4

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,18 @@
-APP          := miniflux
-DOCKER_IMAGE := miniflux/miniflux
-VERSION      := $(shell git describe --tags --abbrev=0)
-COMMIT       := $(shell git rev-parse --short HEAD)
-BUILD_DATE   := `date +%FT%T%z`
-LD_FLAGS     := "-s -w -X 'miniflux.app/v2/internal/version.Version=$(VERSION)' -X 'miniflux.app/v2/internal/version.Commit=$(COMMIT)' -X 'miniflux.app/v2/internal/version.BuildDate=$(BUILD_DATE)'"
-PKG_LIST     := $(shell go list ./... | grep -v /vendor/)
-DB_URL       := postgres://postgres:postgres@localhost/miniflux_test?sslmode=disable
-DEB_IMG_ARCH := amd64
+APP             := miniflux
+DOCKER_IMAGE    := miniflux/miniflux
+VERSION         := $(shell git describe --tags --abbrev=0 2>/dev/null)
+COMMIT          := $(shell git rev-parse --short HEAD 2>/dev/null)
+BUILD_DATE      := `date +%FT%T%z`
+LD_FLAGS        := "-s -w -X 'miniflux.app/v2/internal/version.Version=$(VERSION)' -X 'miniflux.app/v2/internal/version.Commit=$(COMMIT)' -X 'miniflux.app/v2/internal/version.BuildDate=$(BUILD_DATE)'"
+PKG_LIST        := $(shell go list ./... | grep -v /vendor/)
+DB_URL          := postgres://postgres:postgres@localhost/miniflux_test?sslmode=disable
+DOCKER_PLATFORM := amd64
 
 export PGPASSWORD := postgres
 
 .PHONY: \
 	miniflux \
+	miniflux-no-pie \
 	linux-amd64 \
 	linux-arm64 \
 	linux-armv7 \
@@ -43,7 +44,10 @@
 	debian-packages
 
 miniflux:
-	@ CGO_ENABLED=0 go build -buildmode=pie -ldflags=$(LD_FLAGS) -o $(APP) main.go
+	@ go build -buildmode=pie -ldflags=$(LD_FLAGS) -o $(APP) main.go
+
+miniflux-no-pie:
+	@ go build -ldflags=$(LD_FLAGS) -o $(APP) main.go
 
 linux-amd64:
 	@ CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
@@ -73,7 +77,7 @@
 	@ GOOS=openbsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
 
 windows-amd64:
-	@ GOOS=windows GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ GOOS=windows GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@.exe main.go
 
 build: linux-amd64 linux-arm64 linux-armv7 linux-armv6 linux-armv5 darwin-amd64 darwin-arm64 freebsd-amd64 openbsd-amd64 windows-amd64
 
@@ -94,19 +98,21 @@
 	@ GOOS=openbsd GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
 
 windows-x86:
-	@ GOOS=windows GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ GOOS=windows GOARCH=386 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@.exe main.go
 
 run:
-	@ LOG_DATE_TIME=1 DEBUG=1 RUN_MIGRATIONS=1 CREATE_ADMIN=1 ADMIN_USERNAME=admin ADMIN_PASSWORD=test123 go run main.go
+	@ LOG_DATE_TIME=1 LOG_LEVEL=debug RUN_MIGRATIONS=1 CREATE_ADMIN=1 ADMIN_USERNAME=admin ADMIN_PASSWORD=test123 go run main.go
 
 clean:
-	@ rm -f $(APP)-* $(APP) $(APP)*.rpm $(APP)*.deb
+	@ rm -f $(APP)-* $(APP) $(APP)*.rpm $(APP)*.deb $(APP)*.exe
 
 test:
 	go test -cover -race -count=1 ./...
 
 lint:
-	golint -set_exit_status ${PKG_LIST}
+	go vet ./...
+	staticcheck ./...
+	golangci-lint run --disable errcheck --enable sqlclosecheck --enable misspell --enable gofmt --enable goimports --enable whitespace
 
 integration-test:
 	psql -U postgres -c 'drop database if exists miniflux_test;'
@@ -120,9 +126,13 @@
 	RUN_MIGRATIONS=1 \
 	DEBUG=1 \
 	./miniflux-test >/tmp/miniflux.log 2>&1 & echo "$$!" > "/tmp/miniflux.pid"
-	
+
 	while ! nc -z localhost 8080; do sleep 1; done
-	go test -v -tags=integration -count=1 miniflux.app/v2/internal/tests
+
+	TEST_MINIFLUX_BASE_URL=http://127.0.0.1:8080 \
+	TEST_MINIFLUX_ADMIN_USERNAME=admin \
+	TEST_MINIFLUX_ADMIN_PASSWORD=test123 \
+	go test -v -count=1 ./internal/api
 
 clean-integration-test:
 	@ kill -9 `cat /tmp/miniflux.pid`
@@ -153,15 +163,15 @@
 		rpmbuild -bb --define "_miniflux_version $(VERSION)" /root/rpmbuild/SPECS/miniflux.spec
 
 debian:
-	@ docker build --load \
-		--build-arg BASE_IMAGE_ARCH=$(DEB_IMG_ARCH) \
-		-t $(DEB_IMG_ARCH)/miniflux-deb-builder \
+	@ docker buildx build --load \
+		--platform linux/$(DOCKER_PLATFORM) \
+		-t miniflux-deb-builder \
 		-f packaging/debian/Dockerfile \
 		.
-	@ docker run --rm \
-		-v ${PWD}:/pkg $(DEB_IMG_ARCH)/miniflux-deb-builder
+	@ docker run --rm --platform linux/$(DOCKER_PLATFORM) \
+		-v ${PWD}:/pkg miniflux-deb-builder
 
 debian-packages: clean
-	$(MAKE) debian DEB_IMG_ARCH=amd64
-	$(MAKE) debian DEB_IMG_ARCH=arm64v8
-	$(MAKE) debian DEB_IMG_ARCH=arm32v7
+	$(MAKE) debian DOCKER_PLATFORM=amd64
+	$(MAKE) debian DOCKER_PLATFORM=arm64
+	$(MAKE) debian DOCKER_PLATFORM=arm/v7

=== debian/changelog ===
miniflux (2.1.4-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 03 Jul 2025 14:33:29 +1000

miniflux (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Fri, 12 Jul 2024 11:19:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: miniflux
 Section: web
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no

## miniflux 2.2.0

=== debian/changelog ===
miniflux (2.2.0-2) unstable; urgency=medium

  * Specify --with=installsysusers in d/rules
  * Override lintian error for dh-installsysusers
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 29 Aug 2024 18:55:22 +0800

miniflux (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Run service under its own user and unit hardening (Closes: #1078416)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 24 Aug 2024 12:13:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: miniflux
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
@@ -29,7 +28,7 @@
  golang-golang-x-term-dev,
  golang-mvdan-xurls-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
 Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
 Homepage: https://miniflux.app

## miniflux 2.2.4

=== debian/changelog ===
miniflux (2.2.4-2) unstable; urgency=medium

  * Create miniflux user in postinst and chown config (Closes: #1081562)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 02 Jan 2025 15:32:05 +0800

miniflux (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * Add new Build-Depends

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 30 Dec 2024 17:32:33 +0800

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  golang-github-tdewolff-minify-dev,
  golang-github-yuin-goldmark-dev,
  golang-golang-x-crypto-dev,
+ golang-golang-x-image-dev,
  golang-golang-x-net-dev,
  golang-golang-x-oauth2-dev,
  golang-golang-x-term-dev,
@@ -40,6 +41,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ adduser (>= 3.11),
  debconf,
  dbconfig-pgsql | dbconfig-no-thanks,
  ucf,

## miniflux 2.2.5

=== debian/changelog ===
miniflux (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5
  * Declare Static-Built-Using field

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 22 Jan 2025 18:18:27 +0800

## miniflux 2.2.6

=== Makefile ===
--- 
+++ 
@@ -51,33 +51,43 @@
 
 linux-amd64:
 	@ CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 linux-arm64:
 	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 linux-armv7:
 	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=7 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 linux-armv6:
 	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=6 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 linux-armv5:
 	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=5 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 darwin-amd64:
 	@ GOOS=darwin GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 darwin-arm64:
 	@ GOOS=darwin GOARCH=arm64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 freebsd-amd64:
 	@ CGO_ENABLED=0 GOOS=freebsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 openbsd-amd64:
 	@ GOOS=openbsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@ main.go
+	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256
 
 windows-amd64:
 	@ GOOS=windows GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@.exe main.go
+	@ sha256sum $(APP)-$@.exe > $(APP)-$@.exe.sha256
 
 build: linux-amd64 linux-arm64 linux-armv7 linux-armv6 linux-armv5 darwin-amd64 darwin-arm64 freebsd-amd64 openbsd-amd64 windows-amd64
 
@@ -104,7 +114,7 @@
 	@ LOG_DATE_TIME=1 LOG_LEVEL=debug RUN_MIGRATIONS=1 CREATE_ADMIN=1 ADMIN_USERNAME=admin ADMIN_PASSWORD=test123 go run main.go
 
 clean:
-	@ rm -f $(APP)-* $(APP) $(APP)*.rpm $(APP)*.deb $(APP)*.exe
+	@ rm -f $(APP)-* $(APP) $(APP)*.rpm $(APP)*.deb $(APP)*.exe $(APP)*.sha256
 
 test:
 	go test -cover -race -count=1 ./...

=== debian/changelog ===
miniflux (2.2.6-2) unstable; urgency=medium

  [ Maytham Alsudany ]
  * Add debconf template translation for Portuguese (Closes: #1101151)

  [ Carles Pina i Estany ]
  * Add debconf template translation for Catalan (Closes: #1106016)

 -- Maytham Alsudany <maytham@debian.org>  Sun, 03 Aug 2025 14:43:41 +0800

miniflux (2.2.6-1) unstable; urgency=medium

  * New upstream version 2.2.6
  * Add debconf template translation for Brazilian Portuguese (Closes: #1098445)
  * Patch to fix import comments

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 25 Feb 2025 08:13:05 +0800

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
  dbconfig-pgsql | dbconfig-no-thanks,
  ucf,
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: minimalist and opinionated feed reader
  Miniflux is a minimalist and opinionated feed reader:
    - Written in Go (Golang)

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	-X 'miniflux.app/v2/internal/version.BuildDate=$(BUILD_DATE)'
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang --with=golang --with=installsysusers
 
 override_dh_auto_build:
 	dh_auto_build -- -ldflags "$(LD_FLAGS)"

## miniflux 2.2.10

=== debian/changelog ===
miniflux (2.2.10-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 2.2.10
  * Add debconf template translation for Portuguese (Closes: #1101151)
  * Remove patch that was applied upstream
  * Update my maintenance email
  * Bump Standards-Version to 4.7.2 (no changes)

  [ Carles Pina i Estany ]
  * Add debconf template translation for Catalan (Closes: #1106016)

 -- Maytham Alsudany <maytham@debian.org>  Tue, 15 Jul 2025 12:03:47 +0800

## miniflux 2.2.11

=== debian/changelog ===
miniflux (2.2.11-1) experimental; urgency=medium

  * New upstream version 2.2.11

 -- Maytham Alsudany <maytham@debian.org>  Sun, 03 Aug 2025 15:04:55 +0800

## miniflux 2.2.12

=== debian/changelog ===
miniflux (2.2.12-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * Add debconf template translation for Portuguese (Closes: #1101151)
  * Upload to unstable
  * New upstream version 2.2.12

  [ Carles Pina i Estany ]
  * Add debconf template translation for Catalan (Closes: #1106016)

 -- Maytham Alsudany <maytham@debian.org>  Thu, 21 Aug 2025 16:53:13 +0800

## miniflux 2.2.13

=== Makefile ===
APP             := miniflux
DOCKER_IMAGE    := miniflux/miniflux
VERSION         := $(shell git describe --tags --exact-match 2>/dev/null)
LD_FLAGS        := "-s -w -X 'miniflux.app/v2/internal/version.Version=$(VERSION)'"
PKG_LIST        := $(shell go list ./... | grep -v /vendor/)
DB_URL          := postgres://postgres:postgres@localhost/miniflux_test?sslmode=disable
DOCKER_PLATFORM := amd64

export PGPASSWORD := postgres

.PHONY: \
	miniflux \
	miniflux-no-pie \
	linux-amd64 \
	linux-arm64 \
	linux-armv7 \
	linux-armv6 \
	linux-armv5 \
	linux-x86 \
	darwin-amd64 \
	darwin-arm64 \
	freebsd-amd64 \
	openbsd-amd64 \
	netbsd-amd64 \
	build \
	run \
	clean \
	add-string \
	test \
	lint \
	integration-test \
	clean-integration-test \
	docker-image \
	docker-image-distroless \
	docker-images \
	rpm \
	debian \
	debian-packages

miniflux:
	@ go build -buildmode=pie -ldflags=$(LD_FLAGS) -o $(APP)

miniflux-no-pie:
	@ go build -ldflags=$(LD_FLAGS) -o $(APP)

linux-amd64:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

linux-arm64:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

linux-armv7:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=7 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

linux-armv6:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=6 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

linux-armv5:
	@ CGO_ENABLED=0 GOOS=linux GOARCH=arm GOARM=5 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

darwin-amd64:
	@ GOOS=darwin GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

darwin-arm64:
	@ GOOS=darwin GOARCH=arm64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

freebsd-amd64:
	@ CGO_ENABLED=0 GOOS=freebsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

openbsd-amd64:
	@ GOOS=openbsd GOARCH=amd64 go build -ldflags=$(LD_FLAGS) -o $(APP)-$@
	@ sha256sum $(APP)-$@ > $(APP)-$@.sha256

build: linux-amd64 linux-arm64 linux-armv7 linux-armv6 linux-armv5 darwin-amd64 darwin-arm64 freebsd-amd64 openbsd-amd64

run:
	@ LOG_DATE_TIME=1 LOG_LEVEL=debug RUN_MIGRATIONS=1 CREATE_ADMIN=1 ADMIN_USERNAME=admin ADMIN_PASSWORD=test123 go run main.go

clean:
	@ rm -f $(APP)-* $(APP) $(APP)*.rpm $(APP)*.deb $(APP)*.exe $(APP)*.sha256

add-string:
	cd internal/locale/translations && \
	for file in *.json; do \
		jq --indent 4 --arg key "$(KEY)" --arg val "$(VAL)" \
		   '. + {($$key): $$val} | to_entries | sort_by(.key) | from_entries' "$$file" > tmp && \
		mv tmp "$$file"; \
	done

test:
	go test -cover -race -count=1 ./...

lint:
	go vet ./...
	staticcheck ./...
	golangci-lint run --disable errcheck --enable sqlclosecheck --enable misspell --enable gofmt --enable goimports --enable whitespace

integration-test:
	psql -U postgres -c 'drop database if exists miniflux_test;'
	psql -U postgres -c 'create database miniflux_test;'

	DATABASE_URL=$(DB_URL) \
	ADMIN_USERNAME=admin \
	ADMIN_PASSWORD=test123 \
	CREATE_ADMIN=1 \
	RUN_MIGRATIONS=1 \
	LOG_LEVEL=debug \
	go run main.go >/tmp/miniflux.log 2>&1 & echo "$$!" > "/tmp/miniflux.pid"

	while ! nc -z localhost 8080; do sleep 1; done

	TEST_MINIFLUX_BASE_URL=http://127.0.0.1:8080 \
	TEST_MINIFLUX_ADMIN_USERNAME=admin \
	TEST_MINIFLUX_ADMIN_PASSWORD=test123 \
	go test -v -count=1 ./internal/api

clean-integration-test:
	@ kill -9 `cat /tmp/miniflux.pid`
	@ rm -f /tmp/miniflux.pid /tmp/miniflux.log
	@ psql -U postgres -c 'drop database if exists miniflux_test;'

docker-image:
	docker build --pull -t $(DOCKER_IMAGE):$(VERSION) -f packaging/docker/alpine/Dockerfile .

docker-image-distroless:
	docker build -t $(DOCKER_IMAGE):$(VERSION) -f packaging/docker/distroless/Dockerfile .

docker-images:
	docker buildx build \
		--platform linux/amd64,linux/arm64,linux/arm/v7,linux/arm/v6 \
		--file packaging/docker/alpine/Dockerfile \
		--tag $(DOCKER_IMAGE):$(VERSION) \
		--push .

rpm: clean
	@ docker build \
		-t miniflux-rpm-builder \
		-f packaging/rpm/Dockerfile \
		.
	@ docker run --rm \
		-v ${PWD}:/root/rpmbuild/RPMS/x86_64 miniflux-rpm-builder \
		rpmbuild -bb --define "_miniflux_version $(VERSION)" /root/rpmbuild/SPECS/miniflux.spec

debian:
	@ docker buildx build --load \
		--platform linux/$(DOCKER_PLATFORM) \
		-t miniflux-deb-builder \
		-f packaging/debian/Dockerfile \
		.
	@ docker run --rm --platform linux/$(DOCKER_PLATFORM) \
		-v ${PWD}:/pkg miniflux-deb-builder

debian-packages: clean
	$(MAKE) debian DOCKER_PLATFORM=amd64
	$(MAKE) debian DOCKER_PLATFORM=arm64
	$(MAKE) debian DOCKER_PLATFORM=arm/v7

=== debian/changelog ===
miniflux (2.2.13-1) unstable; urgency=medium

  * New upstream version 2.2.13

 -- Maytham Alsudany <maytham@debian.org>  Sun, 12 Oct 2025 18:51:05 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>,
+Uploaders: Maytham Alsudany <maytham@debian.org>,
            James Valleroy <jvalleroy@mailbox.org>
 Rules-Requires-Root: no
 Build-Depends:
@@ -29,7 +29,7 @@
  golang-golang-x-term-dev,
  golang-mvdan-xurls-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
 Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
 Homepage: https://miniflux.app

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/miniflux/v2/tags \
  .*/v?(\d[\d\.]*)\.tar\.gz

## miniflux 2.2.16

=== debian/changelog ===
miniflux (2.2.16-2) unstable; urgency=medium

  * Handle removal of /etc/miniflux/database file in maint scripts

 -- Maytham Alsudany <maytham@debian.org>  Sat, 10 Jan 2026 20:26:49 +0800

miniflux (2.2.16-1) unstable; urgency=medium

  * New upstream version 2.2.16
    * Includes fix for CVE-2025-67713 (Closes: #1122583)
  * Remove admin account creation prompt in favour of doing so manually
  * Bump Standards-Version to 4.7.3

 -- Maytham Alsudany <maytham@debian.org>  Thu, 08 Jan 2026 15:58:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: miniflux
 Section: web
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytham@debian.org>,
            James Valleroy <jvalleroy@mailbox.org>
@@ -29,7 +28,7 @@
  golang-golang-x-term-dev,
  golang-mvdan-xurls-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/miniflux
 Vcs-Git: https://salsa.debian.org/go-team/packages/miniflux.git
 Homepage: https://miniflux.app
